Last Comment Bug 419350 - [ia64] build failure using gcc 4.3
: [ia64] build failure using gcc 4.3
Status: RESOLVED FIXED
: fixed1.8.1.15
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: unspecified
: Other Linux
: -- normal (vote)
: ---
Assigned To: Christopher Aillon (sabbatical, not receiving bugmail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 14:06 PST by Christopher Aillon (sabbatical, not receiving bugmail)
Modified: 2008-04-23 16:29 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch contributed by Doug Chapman (503 bytes, patch)
2008-02-24 14:06 PST, Christopher Aillon (sabbatical, not receiving bugmail)
caillon: review+
dveditz: approval1.8.1.13-
mbeltzner: approval1.9+
caillon: approval1.8.0.next?
Details | Diff | Review
updated patch (482 bytes, patch)
2008-02-27 11:51 PST, Doug Chapman
benjamin: review+
samuel.sidler+old: approval1.8.1.13-
samuel.sidler+old: approval1.8.1.15+
Details | Diff | Review

Description Christopher Aillon (sabbatical, not receiving bugmail) 2008-02-24 14:06:54 PST
Created attachment 305399 [details] [diff] [review]
Patch contributed by Doug Chapman

From https://bugzilla.redhat.com/show_bug.cgi?id=434608

With the latest gcc4.3 iostream.h is replaced with just iostream.  There is some
ia64 specific code in xulrunner that still uses iostream.h.

The file is:
mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_ipf64.cpp

I am attaching a patch that fixes this issue.
Comment 1 Christopher Aillon (sabbatical, not receiving bugmail) 2008-02-24 14:08:03 PST
Comment on attachment 305399 [details] [diff] [review]
Patch contributed by Doug Chapman

r=caillon
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-02-26 00:19:34 PST
It doesn't look like it's used, and it certainly shouldn't be.  Why not just remove the #include entirely?  And maybe fix xptcinvoke_ipf32.cpp while you're there?  (That might need the stdint.h include, though, if iostream in turn includes stdint.)
Comment 3 Doug Chapman 2008-02-26 08:01:27 PST
David,

I tried another build with #include <iostream> removed and you are correct, it builds just fine on ia64.

- Doug
Comment 4 Mike Beltzner [:beltzner, not reading bugmail] 2008-02-26 14:30:39 PST
Comment on attachment 305399 [details] [diff] [review]
Patch contributed by Doug Chapman

a=beltzner for 1.9
Comment 5 Christopher Aillon (sabbatical, not receiving bugmail) 2008-02-26 22:55:00 PST
Committed with the removal of the line as suggested by dbaron.
Comment 6 Christopher Aillon (sabbatical, not receiving bugmail) 2008-02-26 22:59:41 PST
Doug, can you see about the ipf32 code mentioned in comment 2?
Comment 7 Doug Chapman 2008-02-27 07:06:11 PST
(In reply to comment #6)
> Doug, can you see about the ipf32 code mentioned in comment 2?
> 

yes, i see it but my eyes must have glossed over it before since i didn't notice the ipf32 bit part.  I can give that a try but honestly I am not sure how to get it to build.  The ia64 archetecture doesn't have a 32bit mode, it can run x86 32 bit binaries with an emulator but that would be just the full 32bit package.

I will look into this file, might be obsolete from the days when we did have a 32bit mode for the older Itanium systems.  We might want to just remove it.

Comment 8 Daniel Veditz [:dveditz] 2008-02-27 11:36:30 PST
Comment on attachment 305399 [details] [diff] [review]
Patch contributed by Doug Chapman

branch checkins get used by lots of people who look at the bugs rather than bonsai -- please attach a patch that reflects what's going to be checked in. a-

If I've misunderstood comment 5 and this really is the patch then you can re-request.
Comment 9 Doug Chapman 2008-02-27 11:51:17 PST
Created attachment 306066 [details] [diff] [review]
updated patch

Sorry, should have posted this after I tested it.  Here is the updated patch which  just removes #include <iostream.h> as we have determined that it wasn't needed anyway.
Comment 10 Doug Chapman 2008-02-27 12:26:08 PST
For those curious....

I looked at xptcinvoke_ipf32.cpp as suggested.  This file is used by HP-UX only so I wouldn't suggest changing anything on it.  If we were to make the same changes on it was are just as likely to break HP-UX and I don't have a copy of HP-UX to test it on.


Comment 11 Daniel Veditz [:dveditz] 2008-03-03 11:27:51 PST
Comment on attachment 306066 [details] [diff] [review]
updated patch

approved for 1.8.1.13, a=dveditz for release-drivers
Comment 12 Samuel Sidler (old account; do not CC) 2008-03-09 22:39:20 PDT
Comment on attachment 306066 [details] [diff] [review]
updated patch

This hasn't landed yet and we're at code freeze. We'll re-approve it for 1.8.1.14 when we open the tree up for checkins again.
Comment 13 Samuel Sidler (old account; do not CC) 2008-03-26 11:26:29 PDT
Comment on attachment 306066 [details] [diff] [review]
updated patch

Approved for 1.8.1.14. a=ss for release-drivers.
Comment 14 Raúl Porcel 2008-04-23 09:46:31 PDT
Uh...why this isn't commited to 1.8?
Comment 15 Reed Loden [:reed] (use needinfo?) 2008-04-23 09:51:44 PDT
Fixed on trunk == RESOLVED FIXED.
Comment 16 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-04-23 16:29:14 PDT
Checked in on the 1.8 branch:
mozilla/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_ipf64.cpp 	1.2.28.1

Note You need to log in before you can comment on or make changes to this bug.